/* gug_table.pike
 *
 */

import ".";

int main(int argc, array(string) argv)
{
  object window = Widgets.Window();
  window->title = "Cool, it's GUG";
  
  object table = Widgets.Table(3, 3);
  table->x_spacing = table->y_spacing = 1;
  table->x_constraints = table->y_constraints = ({ (<0, 2>) });

  table->x_stretch = ({ 2, 1, 2 });
  table->y_stretch = ({ 3, 1, 3 });
  
  window->add(table);
  for (int i; i<9; i++)
    {
      object solid = Widgets.Solid();
      solid->preferred_width = solid->preferred_height = 50 + 5*i;
      switch(i)
	{
	case 4:
	  {
	    object button = Widgets.Button();
	    button->set_clicked_callback(lambda() { write("Clicked!\n"); });
	    button->add(solid);
	    table->add(button);
	    break;
	  }
	default:
	  table->add(solid);
	  break;
	}
    }

  object device = GUG.open_default_device();
  window->use_device(device);
  window->signal_recurse("show");
  
  return -17;
}
